package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = main.mostCurrent.processBA.sharedProcessBA.activityBA.get();
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

}
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scrollmenu = null;
public anywheresoftware.b4a.objects.Timer _timer1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _button1 = null;
public flm.b4a.ultimatelistview.UltimateListViewWrapper _ulv = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="Activity.LoadLayout(\"LayMain\")";
mostCurrent._activity.LoadLayout("LayMain",mostCurrent.activityBA);
RDebugUtils.currentLine=131076;
 //BA.debugLineNum = 131076;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=262146;
 //BA.debugLineNum = 262146;BA.debugLine="End Sub";
return "";
}
public static String  _button1_click() throws Exception{
RDebugUtils.currentModule="main";
int _top = 0;
anywheresoftware.b4a.objects.LabelWrapper _lbltop = null;
anywheresoftware.b4a.objects.ImageViewWrapper _imgsortnew = null;
anywheresoftware.b4a.objects.LabelWrapper _lblsortnew = null;
anywheresoftware.b4a.objects.ImageViewWrapper _imgline = null;
anywheresoftware.b4a.objects.ImageViewWrapper _imgfiltornew = null;
anywheresoftware.b4a.objects.LabelWrapper _lblfiltornew = null;
anywheresoftware.b4a.objects.ImageViewWrapper _imgsearchnew = null;
anywheresoftware.b4a.objects.LabelWrapper _lblsearchnew = null;
anywheresoftware.b4a.objects.ImageViewWrapper _imgsigninnew = null;
anywheresoftware.b4a.objects.LabelWrapper _lblsigninnew = null;
anywheresoftware.b4a.objects.ImageViewWrapper _imgcontactusnew = null;
anywheresoftware.b4a.objects.LabelWrapper _lblcontactusnew = null;
anywheresoftware.b4a.objects.ImageViewWrapper _imgaboutusnew = null;
anywheresoftware.b4a.objects.LabelWrapper _lblaboutusnew = null;
RDebugUtils.currentLine=393216;
 //BA.debugLineNum = 393216;BA.debugLine="Sub Button1_Click";
RDebugUtils.currentLine=393217;
 //BA.debugLineNum = 393217;BA.debugLine="Dim Top As Int";
_top = 0;
RDebugUtils.currentLine=393218;
 //BA.debugLineNum = 393218;BA.debugLine="ScrollMenu.RemoveView";
mostCurrent._scrollmenu.RemoveView();
RDebugUtils.currentLine=393219;
 //BA.debugLineNum = 393219;BA.debugLine="Activity.AddView(ScrollMenu,-50%x,20%y,50%x,70%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._scrollmenu.getObject()),(int) (-anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (50),mostCurrent.activityBA)),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (20),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (50),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (70),mostCurrent.activityBA));
RDebugUtils.currentLine=393220;
 //BA.debugLineNum = 393220;BA.debugLine="ScrollMenu.Visible=True";
mostCurrent._scrollmenu.setVisible(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=393221;
 //BA.debugLineNum = 393221;BA.debugLine="ScrollMenu.BringToFront";
mostCurrent._scrollmenu.BringToFront();
RDebugUtils.currentLine=393223;
 //BA.debugLineNum = 393223;BA.debugLine="Top =0";
_top = (int) (0);
RDebugUtils.currentLine=393225;
 //BA.debugLineNum = 393225;BA.debugLine="Dim lblTop As Label";
_lbltop = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393226;
 //BA.debugLineNum = 393226;BA.debugLine="lblTop.Initialize(\"lblTop\")";
_lbltop.Initialize(mostCurrent.activityBA,"lblTop");
RDebugUtils.currentLine=393227;
 //BA.debugLineNum = 393227;BA.debugLine="lblTop.Text=\"WEL-COME\"";
_lbltop.setText((Object)("WEL-COME"));
RDebugUtils.currentLine=393228;
 //BA.debugLineNum = 393228;BA.debugLine="lblTop.TextSize=16";
_lbltop.setTextSize((float) (16));
RDebugUtils.currentLine=393229;
 //BA.debugLineNum = 393229;BA.debugLine="lblTop.TextColor=Colors.White";
_lbltop.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=393230;
 //BA.debugLineNum = 393230;BA.debugLine="lblTop.Gravity=Gravity.CENTER";
_lbltop.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
RDebugUtils.currentLine=393231;
 //BA.debugLineNum = 393231;BA.debugLine="lblTop.Color=Colors.BLUE";
_lbltop.setColor(anywheresoftware.b4a.keywords.Common.Colors.Blue);
RDebugUtils.currentLine=393232;
 //BA.debugLineNum = 393232;BA.debugLine="ScrollMenu.Panel.AddView(lblTop,0,Top,50%x,7%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_lbltop.getObject()),(int) (0),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (50),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (7),mostCurrent.activityBA));
RDebugUtils.currentLine=393234;
 //BA.debugLineNum = 393234;BA.debugLine="Top=Top + 7%y + 1%y";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (7),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393236;
 //BA.debugLineNum = 393236;BA.debugLine="Dim ImgSortnew As ImageView";
_imgsortnew = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393237;
 //BA.debugLineNum = 393237;BA.debugLine="ImgSortnew.Initialize(\"ImgSortnew\")";
_imgsortnew.Initialize(mostCurrent.activityBA,"ImgSortnew");
RDebugUtils.currentLine=393238;
 //BA.debugLineNum = 393238;BA.debugLine="ImgSortnew.Color=Colors.Red";
_imgsortnew.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393239;
 //BA.debugLineNum = 393239;BA.debugLine="ImgSortnew.Tag=\"ImgSortnew\"";
_imgsortnew.setTag((Object)("ImgSortnew"));
RDebugUtils.currentLine=393240;
 //BA.debugLineNum = 393240;BA.debugLine="ImgSortnew.Bitmap=LoadBitmap(File.DirAssets,\"app_sort.png\")";
_imgsortnew.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"app_sort.png").getObject()));
RDebugUtils.currentLine=393241;
 //BA.debugLineNum = 393241;BA.debugLine="ImgSortnew.Gravity=Gravity.FILL";
_imgsortnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
RDebugUtils.currentLine=393242;
 //BA.debugLineNum = 393242;BA.debugLine="ScrollMenu.Panel.AddView(ImgSortnew,2%x,Top,5%y,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgsortnew.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393244;
 //BA.debugLineNum = 393244;BA.debugLine="Dim lblsortnew As Label";
_lblsortnew = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393245;
 //BA.debugLineNum = 393245;BA.debugLine="lblsortnew.Initialize(\"lblsortnew\")";
_lblsortnew.Initialize(mostCurrent.activityBA,"lblsortnew");
RDebugUtils.currentLine=393246;
 //BA.debugLineNum = 393246;BA.debugLine="lblsortnew.Text=\"Sort\"";
_lblsortnew.setText((Object)("Sort"));
RDebugUtils.currentLine=393247;
 //BA.debugLineNum = 393247;BA.debugLine="lblsortnew.TextSize=14";
_lblsortnew.setTextSize((float) (14));
RDebugUtils.currentLine=393248;
 //BA.debugLineNum = 393248;BA.debugLine="lblsortnew.TextColor=Colors.White";
_lblsortnew.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=393249;
 //BA.debugLineNum = 393249;BA.debugLine="lblsortnew.Gravity=Gravity.LEFT";
_lblsortnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
RDebugUtils.currentLine=393251;
 //BA.debugLineNum = 393251;BA.debugLine="ScrollMenu.Panel.AddView(lblsortnew,2%x+5%y+2%x,Top,40%x,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_lblsortnew.getObject()),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (40),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393253;
 //BA.debugLineNum = 393253;BA.debugLine="Top=Top + 5%y + 1%y";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393254;
 //BA.debugLineNum = 393254;BA.debugLine="Dim imgline As ImageView";
_imgline = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393255;
 //BA.debugLineNum = 393255;BA.debugLine="imgline.Initialize(\"imgline\")";
_imgline.Initialize(mostCurrent.activityBA,"imgline");
RDebugUtils.currentLine=393256;
 //BA.debugLineNum = 393256;BA.debugLine="imgline.Color=Colors.Red";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393257;
 //BA.debugLineNum = 393257;BA.debugLine="imgline.Tag=\"line\"";
_imgline.setTag((Object)("line"));
RDebugUtils.currentLine=393259;
 //BA.debugLineNum = 393259;BA.debugLine="imgline.Color=Colors.RGB(134,134,134)";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (134),(int) (134),(int) (134)));
RDebugUtils.currentLine=393260;
 //BA.debugLineNum = 393260;BA.debugLine="ScrollMenu.Panel.AddView(imgline,1%x,Top,48%x,1dip)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgline.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (48),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=393262;
 //BA.debugLineNum = 393262;BA.debugLine="Top=Top+5dip + 1%x";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5))+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393264;
 //BA.debugLineNum = 393264;BA.debugLine="Dim ImgFiltornew As ImageView";
_imgfiltornew = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393265;
 //BA.debugLineNum = 393265;BA.debugLine="ImgFiltornew.Initialize(\"ImgFiltornew\")";
_imgfiltornew.Initialize(mostCurrent.activityBA,"ImgFiltornew");
RDebugUtils.currentLine=393266;
 //BA.debugLineNum = 393266;BA.debugLine="ImgFiltornew.Color=Colors.Red";
_imgfiltornew.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393267;
 //BA.debugLineNum = 393267;BA.debugLine="ImgFiltornew.Tag=\"ImgFiltornew\"";
_imgfiltornew.setTag((Object)("ImgFiltornew"));
RDebugUtils.currentLine=393268;
 //BA.debugLineNum = 393268;BA.debugLine="ImgFiltornew.Bitmap=LoadBitmap(File.DirAssets,\"app_filter.png\")";
_imgfiltornew.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"app_filter.png").getObject()));
RDebugUtils.currentLine=393269;
 //BA.debugLineNum = 393269;BA.debugLine="ImgFiltornew.Gravity=Gravity.FILL";
_imgfiltornew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
RDebugUtils.currentLine=393270;
 //BA.debugLineNum = 393270;BA.debugLine="ScrollMenu.Panel.AddView(ImgFiltornew,2%x,Top,5%y,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgfiltornew.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393272;
 //BA.debugLineNum = 393272;BA.debugLine="Dim lblFiltornew As Label";
_lblfiltornew = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393273;
 //BA.debugLineNum = 393273;BA.debugLine="lblFiltornew.Initialize(\"lblFiltornew\")";
_lblfiltornew.Initialize(mostCurrent.activityBA,"lblFiltornew");
RDebugUtils.currentLine=393274;
 //BA.debugLineNum = 393274;BA.debugLine="lblFiltornew.Text=\"Filtor\"";
_lblfiltornew.setText((Object)("Filtor"));
RDebugUtils.currentLine=393275;
 //BA.debugLineNum = 393275;BA.debugLine="lblFiltornew.TextSize=14";
_lblfiltornew.setTextSize((float) (14));
RDebugUtils.currentLine=393276;
 //BA.debugLineNum = 393276;BA.debugLine="lblFiltornew.TextColor=Colors.White";
_lblfiltornew.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=393277;
 //BA.debugLineNum = 393277;BA.debugLine="lblFiltornew.Gravity=Gravity.LEFT";
_lblfiltornew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
RDebugUtils.currentLine=393279;
 //BA.debugLineNum = 393279;BA.debugLine="ScrollMenu.Panel.AddView(lblFiltornew,2%x+5%y+2%x,Top,40%x,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_lblfiltornew.getObject()),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (40),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393281;
 //BA.debugLineNum = 393281;BA.debugLine="Top=Top +5%y+1%y";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393282;
 //BA.debugLineNum = 393282;BA.debugLine="Dim imgline As ImageView";
_imgline = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393283;
 //BA.debugLineNum = 393283;BA.debugLine="imgline.Initialize(\"imgline\")";
_imgline.Initialize(mostCurrent.activityBA,"imgline");
RDebugUtils.currentLine=393284;
 //BA.debugLineNum = 393284;BA.debugLine="imgline.Color=Colors.Red";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393285;
 //BA.debugLineNum = 393285;BA.debugLine="imgline.Tag=\"line\"";
_imgline.setTag((Object)("line"));
RDebugUtils.currentLine=393287;
 //BA.debugLineNum = 393287;BA.debugLine="imgline.Color=Colors.RGB(134,134,134)";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (134),(int) (134),(int) (134)));
RDebugUtils.currentLine=393288;
 //BA.debugLineNum = 393288;BA.debugLine="ScrollMenu.Panel.AddView(imgline,1%x,Top,48%x,1dip)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgline.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (48),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=393289;
 //BA.debugLineNum = 393289;BA.debugLine="Top=Top+5dip + 1%x";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5))+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393291;
 //BA.debugLineNum = 393291;BA.debugLine="Dim ImgSearchnew As ImageView";
_imgsearchnew = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393292;
 //BA.debugLineNum = 393292;BA.debugLine="ImgSearchnew.Initialize(\"ImgSearchnew\")";
_imgsearchnew.Initialize(mostCurrent.activityBA,"ImgSearchnew");
RDebugUtils.currentLine=393293;
 //BA.debugLineNum = 393293;BA.debugLine="ImgSearchnew.Color=Colors.Red";
_imgsearchnew.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393294;
 //BA.debugLineNum = 393294;BA.debugLine="ImgSearchnew.Tag=\"ImgSearchnew\"";
_imgsearchnew.setTag((Object)("ImgSearchnew"));
RDebugUtils.currentLine=393295;
 //BA.debugLineNum = 393295;BA.debugLine="ImgSearchnew.Bitmap=LoadBitmap(File.DirAssets,\"app_search.png\")";
_imgsearchnew.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"app_search.png").getObject()));
RDebugUtils.currentLine=393296;
 //BA.debugLineNum = 393296;BA.debugLine="ImgSearchnew.Gravity=Gravity.FILL";
_imgsearchnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
RDebugUtils.currentLine=393297;
 //BA.debugLineNum = 393297;BA.debugLine="ScrollMenu.Panel.AddView(ImgSearchnew,2%x,Top,5%y,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgsearchnew.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393299;
 //BA.debugLineNum = 393299;BA.debugLine="Dim lblSearchnew As Label";
_lblsearchnew = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393300;
 //BA.debugLineNum = 393300;BA.debugLine="lblSearchnew.Initialize(\"lblSearchnew\")";
_lblsearchnew.Initialize(mostCurrent.activityBA,"lblSearchnew");
RDebugUtils.currentLine=393301;
 //BA.debugLineNum = 393301;BA.debugLine="lblSearchnew.Text=\"Search\"";
_lblsearchnew.setText((Object)("Search"));
RDebugUtils.currentLine=393302;
 //BA.debugLineNum = 393302;BA.debugLine="lblSearchnew.TextSize=14";
_lblsearchnew.setTextSize((float) (14));
RDebugUtils.currentLine=393303;
 //BA.debugLineNum = 393303;BA.debugLine="lblSearchnew.TextColor=Colors.White";
_lblsearchnew.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=393304;
 //BA.debugLineNum = 393304;BA.debugLine="lblSearchnew.Gravity=Gravity.LEFT";
_lblsearchnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
RDebugUtils.currentLine=393306;
 //BA.debugLineNum = 393306;BA.debugLine="ScrollMenu.Panel.AddView(lblSearchnew,2%x+5%y+2%x,Top,40%x,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_lblsearchnew.getObject()),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (40),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393308;
 //BA.debugLineNum = 393308;BA.debugLine="Top=Top + 5%y+1%y";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393309;
 //BA.debugLineNum = 393309;BA.debugLine="Dim imgline As ImageView";
_imgline = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393310;
 //BA.debugLineNum = 393310;BA.debugLine="imgline.Initialize(\"imgline\")";
_imgline.Initialize(mostCurrent.activityBA,"imgline");
RDebugUtils.currentLine=393311;
 //BA.debugLineNum = 393311;BA.debugLine="imgline.Color=Colors.Red";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393312;
 //BA.debugLineNum = 393312;BA.debugLine="imgline.Tag=\"line\"";
_imgline.setTag((Object)("line"));
RDebugUtils.currentLine=393313;
 //BA.debugLineNum = 393313;BA.debugLine="imgline.Color=Colors.RGB(134,134,134)";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (134),(int) (134),(int) (134)));
RDebugUtils.currentLine=393315;
 //BA.debugLineNum = 393315;BA.debugLine="ScrollMenu.Panel.AddView(imgline,1%x,Top,48%x,1dip)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgline.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (48),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=393316;
 //BA.debugLineNum = 393316;BA.debugLine="Top=Top+5dip + 1%x";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5))+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393319;
 //BA.debugLineNum = 393319;BA.debugLine="Dim ImgSignInnew As ImageView";
_imgsigninnew = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393320;
 //BA.debugLineNum = 393320;BA.debugLine="ImgSignInnew.Initialize(\"ImgSignInnew\")";
_imgsigninnew.Initialize(mostCurrent.activityBA,"ImgSignInnew");
RDebugUtils.currentLine=393321;
 //BA.debugLineNum = 393321;BA.debugLine="ImgSignInnew.Color=Colors.Red";
_imgsigninnew.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393322;
 //BA.debugLineNum = 393322;BA.debugLine="ImgSignInnew.Tag=\"ImgSignInnew\"";
_imgsigninnew.setTag((Object)("ImgSignInnew"));
RDebugUtils.currentLine=393323;
 //BA.debugLineNum = 393323;BA.debugLine="ImgSignInnew.Bitmap=LoadBitmap(File.DirAssets,\"app_more.png\")";
_imgsigninnew.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"app_more.png").getObject()));
RDebugUtils.currentLine=393324;
 //BA.debugLineNum = 393324;BA.debugLine="ImgSignInnew.Gravity=Gravity.FILL";
_imgsigninnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
RDebugUtils.currentLine=393325;
 //BA.debugLineNum = 393325;BA.debugLine="ScrollMenu.Panel.AddView(ImgSignInnew,2%x,Top,5%y,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgsigninnew.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393327;
 //BA.debugLineNum = 393327;BA.debugLine="Dim lblSignInnew As Label";
_lblsigninnew = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393328;
 //BA.debugLineNum = 393328;BA.debugLine="lblSignInnew.Initialize(\"lblSignInnew\")";
_lblsigninnew.Initialize(mostCurrent.activityBA,"lblSignInnew");
RDebugUtils.currentLine=393329;
 //BA.debugLineNum = 393329;BA.debugLine="lblSignInnew.Text=\"Sign In / Sign Up\"";
_lblsigninnew.setText((Object)("Sign In / Sign Up"));
RDebugUtils.currentLine=393330;
 //BA.debugLineNum = 393330;BA.debugLine="lblSignInnew.TextSize=14";
_lblsigninnew.setTextSize((float) (14));
RDebugUtils.currentLine=393331;
 //BA.debugLineNum = 393331;BA.debugLine="lblSignInnew.TextColor=Colors.White";
_lblsigninnew.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=393332;
 //BA.debugLineNum = 393332;BA.debugLine="lblSignInnew.Gravity=Gravity.LEFT";
_lblsigninnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
RDebugUtils.currentLine=393334;
 //BA.debugLineNum = 393334;BA.debugLine="ScrollMenu.Panel.AddView(lblSignInnew,2%x+5%y+2%x,Top,40%x,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_lblsigninnew.getObject()),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (40),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393336;
 //BA.debugLineNum = 393336;BA.debugLine="Top=Top + 5%y+1%y";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393337;
 //BA.debugLineNum = 393337;BA.debugLine="Dim imgline As ImageView";
_imgline = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393338;
 //BA.debugLineNum = 393338;BA.debugLine="imgline.Initialize(\"imgline\")";
_imgline.Initialize(mostCurrent.activityBA,"imgline");
RDebugUtils.currentLine=393339;
 //BA.debugLineNum = 393339;BA.debugLine="imgline.Color=Colors.Red";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393340;
 //BA.debugLineNum = 393340;BA.debugLine="imgline.Tag=\"line\"";
_imgline.setTag((Object)("line"));
RDebugUtils.currentLine=393342;
 //BA.debugLineNum = 393342;BA.debugLine="imgline.Color=Colors.RGB(134,134,134)";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (134),(int) (134),(int) (134)));
RDebugUtils.currentLine=393343;
 //BA.debugLineNum = 393343;BA.debugLine="ScrollMenu.Panel.AddView(imgline,1%x,Top,48%x,1dip)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgline.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (48),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=393344;
 //BA.debugLineNum = 393344;BA.debugLine="Top=Top+5dip + 1%x";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5))+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393346;
 //BA.debugLineNum = 393346;BA.debugLine="Dim ImgContactUsnew As ImageView";
_imgcontactusnew = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393347;
 //BA.debugLineNum = 393347;BA.debugLine="ImgContactUsnew.Initialize(\"ImgContactUsnew\")";
_imgcontactusnew.Initialize(mostCurrent.activityBA,"ImgContactUsnew");
RDebugUtils.currentLine=393348;
 //BA.debugLineNum = 393348;BA.debugLine="ImgContactUsnew.Color=Colors.Red";
_imgcontactusnew.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393349;
 //BA.debugLineNum = 393349;BA.debugLine="ImgContactUsnew.Tag=\"ImgContactUsnew\"";
_imgcontactusnew.setTag((Object)("ImgContactUsnew"));
RDebugUtils.currentLine=393350;
 //BA.debugLineNum = 393350;BA.debugLine="ImgContactUsnew.Bitmap=LoadBitmap(File.DirAssets,\"app_phone.png\")";
_imgcontactusnew.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"app_phone.png").getObject()));
RDebugUtils.currentLine=393351;
 //BA.debugLineNum = 393351;BA.debugLine="ImgContactUsnew.Gravity=Gravity.FILL";
_imgcontactusnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
RDebugUtils.currentLine=393352;
 //BA.debugLineNum = 393352;BA.debugLine="ScrollMenu.Panel.AddView(ImgContactUsnew,2%x,Top,5%y,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgcontactusnew.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393354;
 //BA.debugLineNum = 393354;BA.debugLine="Dim lblContactUsnew As Label";
_lblcontactusnew = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393355;
 //BA.debugLineNum = 393355;BA.debugLine="lblContactUsnew.Initialize(\"lblContactUsnew\")";
_lblcontactusnew.Initialize(mostCurrent.activityBA,"lblContactUsnew");
RDebugUtils.currentLine=393356;
 //BA.debugLineNum = 393356;BA.debugLine="lblContactUsnew.Text=\"Contact Us\"";
_lblcontactusnew.setText((Object)("Contact Us"));
RDebugUtils.currentLine=393357;
 //BA.debugLineNum = 393357;BA.debugLine="lblContactUsnew.TextSize=14";
_lblcontactusnew.setTextSize((float) (14));
RDebugUtils.currentLine=393358;
 //BA.debugLineNum = 393358;BA.debugLine="lblContactUsnew.TextColor=Colors.White";
_lblcontactusnew.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=393359;
 //BA.debugLineNum = 393359;BA.debugLine="lblContactUsnew.Gravity=Gravity.LEFT";
_lblcontactusnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
RDebugUtils.currentLine=393361;
 //BA.debugLineNum = 393361;BA.debugLine="ScrollMenu.Panel.AddView(lblContactUsnew,2%x+5%y+2%x,Top,40%x,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_lblcontactusnew.getObject()),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (40),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393363;
 //BA.debugLineNum = 393363;BA.debugLine="Top=Top + 5%y+1%y";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393364;
 //BA.debugLineNum = 393364;BA.debugLine="Dim imgline As ImageView";
_imgline = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393365;
 //BA.debugLineNum = 393365;BA.debugLine="imgline.Initialize(\"imgline\")";
_imgline.Initialize(mostCurrent.activityBA,"imgline");
RDebugUtils.currentLine=393366;
 //BA.debugLineNum = 393366;BA.debugLine="imgline.Color=Colors.Red";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393367;
 //BA.debugLineNum = 393367;BA.debugLine="imgline.Tag=\"line\"";
_imgline.setTag((Object)("line"));
RDebugUtils.currentLine=393369;
 //BA.debugLineNum = 393369;BA.debugLine="imgline.Color=Colors.RGB(134,134,134)";
_imgline.setColor(anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (134),(int) (134),(int) (134)));
RDebugUtils.currentLine=393370;
 //BA.debugLineNum = 393370;BA.debugLine="ScrollMenu.Panel.AddView(imgline,1%x,Top,48%x,1dip)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgline.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (48),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1)));
RDebugUtils.currentLine=393371;
 //BA.debugLineNum = 393371;BA.debugLine="Top=Top+5dip + 1%x";
_top = (int) (_top+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (5))+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (1),mostCurrent.activityBA));
RDebugUtils.currentLine=393373;
 //BA.debugLineNum = 393373;BA.debugLine="Dim ImgAboutUsnew As ImageView";
_imgaboutusnew = new anywheresoftware.b4a.objects.ImageViewWrapper();
RDebugUtils.currentLine=393374;
 //BA.debugLineNum = 393374;BA.debugLine="ImgAboutUsnew.Initialize(\"ImgAboutUsnew\")";
_imgaboutusnew.Initialize(mostCurrent.activityBA,"ImgAboutUsnew");
RDebugUtils.currentLine=393375;
 //BA.debugLineNum = 393375;BA.debugLine="ImgAboutUsnew.Color=Colors.Red";
_imgaboutusnew.setColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=393376;
 //BA.debugLineNum = 393376;BA.debugLine="ImgAboutUsnew.Tag=\"About Us\"";
_imgaboutusnew.setTag((Object)("About Us"));
RDebugUtils.currentLine=393377;
 //BA.debugLineNum = 393377;BA.debugLine="ImgAboutUsnew.Bitmap=LoadBitmap(File.DirAssets,\"app_icon.png\")";
_imgaboutusnew.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"app_icon.png").getObject()));
RDebugUtils.currentLine=393378;
 //BA.debugLineNum = 393378;BA.debugLine="ImgAboutUsnew.Gravity=Gravity.FILL";
_imgaboutusnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.FILL);
RDebugUtils.currentLine=393379;
 //BA.debugLineNum = 393379;BA.debugLine="ScrollMenu.Panel.AddView(ImgAboutUsnew,2%x,Top,5%y,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_imgaboutusnew.getObject()),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA),_top,anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393381;
 //BA.debugLineNum = 393381;BA.debugLine="Dim lblAboutUsnew As Label";
_lblaboutusnew = new anywheresoftware.b4a.objects.LabelWrapper();
RDebugUtils.currentLine=393382;
 //BA.debugLineNum = 393382;BA.debugLine="lblAboutUsnew.Initialize(\"lblAboutUsnew\")";
_lblaboutusnew.Initialize(mostCurrent.activityBA,"lblAboutUsnew");
RDebugUtils.currentLine=393383;
 //BA.debugLineNum = 393383;BA.debugLine="lblAboutUsnew.Text=\"About Us\"";
_lblaboutusnew.setText((Object)("About Us"));
RDebugUtils.currentLine=393384;
 //BA.debugLineNum = 393384;BA.debugLine="lblAboutUsnew.TextSize=14";
_lblaboutusnew.setTextSize((float) (14));
RDebugUtils.currentLine=393385;
 //BA.debugLineNum = 393385;BA.debugLine="lblAboutUsnew.TextColor=Colors.White";
_lblaboutusnew.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=393386;
 //BA.debugLineNum = 393386;BA.debugLine="lblAboutUsnew.Gravity=Gravity.LEFT";
_lblaboutusnew.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.LEFT);
RDebugUtils.currentLine=393388;
 //BA.debugLineNum = 393388;BA.debugLine="ScrollMenu.Panel.AddView(lblAboutUsnew,2%x+5%y+2%x,Top,40%x,5%y)";
mostCurrent._scrollmenu.getPanel().AddView((android.view.View)(_lblaboutusnew.getObject()),(int) (anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA)+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (2),mostCurrent.activityBA)),_top,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (40),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (5),mostCurrent.activityBA));
RDebugUtils.currentLine=393389;
 //BA.debugLineNum = 393389;BA.debugLine="Timer1.Enabled=True";
mostCurrent._timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=393390;
 //BA.debugLineNum = 393390;BA.debugLine="End Sub";
return "";
}
public static String  _timer1_tick() throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Timer1_Tick";
RDebugUtils.currentLine=196609;
 //BA.debugLineNum = 196609;BA.debugLine="ScrollMenu.Left=ScrollMenu.Left+10%x";
mostCurrent._scrollmenu.setLeft((int) (mostCurrent._scrollmenu.getLeft()+anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (10),mostCurrent.activityBA)));
RDebugUtils.currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="If ScrollMenu.Left>=0%x Then";
if (mostCurrent._scrollmenu.getLeft()>=anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (0),mostCurrent.activityBA)) { 
RDebugUtils.currentLine=196611;
 //BA.debugLineNum = 196611;BA.debugLine="Timer1.Enabled=False";
mostCurrent._timer1.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=196613;
 //BA.debugLineNum = 196613;BA.debugLine="End Sub";
return "";
}
}